package View;

import javax.swing.JFrame;

import Model.LayeredGraphNode;

public class MainView {

	JFrame frame;
	
	public MainView( LayeredGraphNode graph )
	{
		frame = new JFrame();
		frame.setSize( (int)graph.getWidth() + 100, (int)graph.getHeight() + 100 );
		frame.setLocation( 100, 100 );
		frame.setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
		frame.setVisible( true );
		frame.getContentPane().setLayout( null );
		
		frame.getContentPane().add( createNodeView( graph ) );
		
		frame.repaint();
	}
	
	private NodeView createNodeView( LayeredGraphNode gNode )
	{
		NodeView graphView = new NodeView( gNode );
		int x = 0;
		for( LayeredGraphNode n : gNode.getContainedNodes() )
		{
			n.setX( x += 20 );
			graphView.add( createNodeView( n ) );
		}
		return graphView;
	}
}
